=pod

Module O_B.pm

A component of the checker group of programs for monitoring applications, databases, networks,
all types of servers, and more. By Nova Software, Inc.

Copyright  by Nova Software, Inc. 2018  All rights reserved.  http://www.nova-sw.com

=cut
  package O_B ; our $VERSION = 0.171117; use strict; use warnings; use sigtrap; use Socket; use Cwd; use File::Basename; 
my $yuB = `hostname`; chomp $yuB; sub bhB { my $bvB = shift; $bvB ||= ''; unless ( $bvB or $yuB) { $yuB = `hostname`; chomp $yuB; } return $yuB; } use constant kcB   => '192.0.2.0';  my $gfB = kcB; my $tmp = gethostbyname($yuB);  $gfB = Socket::inet_ntoa($tmp)  if $tmp;  sub rfB { $gfB } my $b2B = '';  sub jsB { my $awB = shift; $b2B = $awB if defined $awB; 
unless ( -d $b2B ) {   opendir RDFH, "./";   my @tmp = readdir RDFH;  my @qhB = grep /^rel.{3,}/, @tmp;  $b2B = $qhB[0]  if ( @qhB == 1 and -d $qhB[0] );   } return $b2B; } sub skB {  my $tmp = $b2B;  $tmp =~s/rel//i;  return $tmp;  } my $wiB = 'parent';  sub voB { my $awB = shift; $wiB = $awB if defined $awB; return $wiB; } my $nsB = 'commandline'; 
sub jfB { my $awB = shift; $nsB = $awB if defined $awB; return $nsB; } my $olB = '';  sub omB { my $awB = shift; $olB = $awB if defined $awB; return $olB; } my $imB = basename($0, qw(.pl));  sub riB { my $awB = shift; $imB = $awB if defined $awB; return $imB; } my $dnB = ''; sub yfB { my $awB = shift;
$dnB = $awB if defined $awB; return $dnB; } my $hfB = ''; sub nbB { my $awB = shift; $hfB = $awB if defined $awB; return $hfB; } BEGIN { my $lkB = time();  sub vvB {$lkB} my $jlB = localtime($lkB);  sub cfB {$jlB} my $qiB  = $^O =~/Win/i ? 1 : 0; sub kbB {$qiB} our $Catcmd = $qiB ? 'type' : 'cat'; sub pcB {$Catcmd} my $wlB = $qiB ? 'killit' : 'kill';   sub niB {$wlB}
my $ytB =  $qiB ? 'process' : 'daemon'; sub odB {$ytB} my $gqB = $qiB ? '\\' : '/'; sub xhB {$gqB} my $kxB = $qiB ? 'nova-sw\.appchkr_d' : 'nova-sw/.appchkr_d' ;   sub nmB {$kxB} my $apB = cwd();   $apB =~s|\/|\\|g if $qiB; sub w1B {$apB} my $ylB = $qiB ? 'prl\bin\perl.exe' : 'prl/bin/perl' ;   sub mdB {$ylB } }  { my $l2B = 0; my $giB = 0; sub ffB { my $mqB = time(); if ( ($mqB - $l2B) > 10 ) { $giB = -f "$imB.dbg" ? 1 : 0 }
$l2B = $mqB; return $giB; } } use constant q1B     => 'Setup';  use constant qjB   => 'Reports';  use constant kgB   => 'Targets';  use constant tuB        => ('**H** ', 'HIGH') ;  use constant irB       => ('**M** ', 'MEDIUM'); use constant dxB        => ('**L** ', 'LOW'); use constant rlB       => ' -CFG- ';  use constant zrB      => ' -OK- ';   use constant enB          => 'nochk'; use constant ajB     => 'nochecking'; use constant nxB          => 'down'; use constant vgB            => 'up'; use constant rnB         => 'error'; use constant otB        => '';  use constant qdB        => 6*60*60;  use constant wvB        => '_old'; 
use constant yoB      => '  jjjjqqqq';  use constant tsB       => 20;  use constant rmB      => 50;  use constant erB      => '_._._._._';  use constant deB       => 30;  use constant etB      => 20;  use constant pqB        => '/next/';  use constant xtB     => 'a-zA-Z0-9.-';  use constant vjB        => 'log'; use constant kdB        => 'log'; use constant cpB        => 'pid'; use constant scB        => 'pid'; use constant nvB        => 'rpt'; use constant ycB        => 'rpt'; use constant mzB        => 'www'; use constant lhB        => 'cfg'; use constant b1B        => 'cfg'; use constant h4B      => '_(cfg-file-name)';  use constant ilB        => 'smp';  use constant xqB        => 'smp';
use constant rtB        => 'pgm'; use constant gpB        => 'pm';  use constant adB        => 'obf'; use constant txB       => 'O_';   use constant prB        => 'txt'; use constant tdB   => 'rel';  use constant uyB        => 0;  use constant hlB   => 1;  use constant taB     => 'a-zA-Z0-9~!$%^&()_-+|<>. "';  use constant liB      => 'a-zA-Z0-9~_-+. :{}\/';  use constant p1B       => q{'"<>;*?`^$&()=[]|!,};  use constant bkB      => '____START '; use constant sxB => (587,25); use constant acB      => '-nodaemon';  use constant qbB => 'security_alert'; use constant lgB  => 'new_installation';  use constant wcB => 10;  use constant jgB  => 'maxlifetime';  use constant dgB       => 'www.nova-sw.com';   use constant ddB       => 'https://'.dgB; 
use constant eeB    => 'google.com';  use constant tvB     => 'proxy.txt';  use constant caB      => 'auto.txt';  use constant srB      => 'Appchkr.typ';  use constant vsB    => '.ignore_update'; use constant efB     => 'chkr_update_'; use constant ymB  => 'No such file or directory'; use constant ihB  => 'Permission denied';    use constant ewB  => 'Inappropriate I/O control operation' ; use constant m2B    => '-12736548093268715490';  use constant uuB  => 9999;  use constant uwB  => 'uwi_port_number.txt'; use constant hhB    => '.uwiacnts';  use constant htB => '.uwidflt';  use constant gvB   => 'admin:password'; use constant fhB => 24*60*60;  use constant wtB  => 5 ;  use constant a1B       => 40;  use constant diB       => 90;  use constant ahB       => 300; 
use constant ayB    => 101;  use constant mfB      => 10000001;  use constant thB        => 1001;  use constant iuB       => 100000.001;  use constant epB       => 30.001;  use constant gcB      => 10;  use constant uzB       => 1000000;  use constant y1B    => 100;  use constant vmB       => 127;  use constant ysB    => 127;  use constant ozB     => 1000;  use constant veB     => 10;  use constant fcB        => 70;  use constant s1B      => 1.0;  use constant emB     => s1B - 0.1;  use constant ruB       => 1;  use constant owB    => 5;  use constant ldB      => 20;  use constant xpB       => 4000;  use constant cjB   => 5001; 
use constant peB   => 30000;  use constant iyB => 5;  use constant bjB => 10;  use constant wkB => 400;  use constant bbB     => ( -ab     => 'about', -all    => 'all', -adv    => 'advanced', -b      => 'basic', -c      => 'configuration', -des    => 'description', -h      => 'help', -kb     => 'knowledgebase', -l      => 'list', -o      => 'options', -prot   => 'protocols', -q      => 'quickstart', -ru     => 'run', -sto    => 'stop', -slf    => 'syslogfacilities',
-t      => 'textportals', -uwi    => 'uwi', -wh     => 'webhelp', -ws     => 'webserver', '-c s', 'cfgsetup', '-c r', 'cfgreports', '-c t', 'cfgtargets', ); sub ikB { my $ibB = shift; return '' unless $ibB;   my $xyB = '';  my $jyB = $ibB =~/^\*\*/ ? 1 : 0;  $xyB = (tuB)[$jyB]  if $ibB =~/H/i; $xyB = (irB)[$jyB] if $ibB =~/M/i; $xyB = (dxB)[$jyB]  if $ibB =~/L/i; return $xyB;   } BEGIN { use Exporter ();
our @ISA = qw(Exporter); our @EXPORT = qw( kcB bhB rfB jsB skB voB jfB omB yfB nbB riB w1B mdB vvB cfB kbB pcB niB
odB xhB nmB ffB q1B qjB kgB zrB tuB irB dxB rlB ikB enB ajB nxB vgB rnB uuB uwB
hhB htB gvB fhB wtB otB qdB wvB yoB tsB rmB erB deB etB xtB pqB vjB kdB cpB scB
nvB ycB mzB lhB b1B prB tdB h4B ilB xqB rtB gpB adB txB uyB HDR____ hlB taB liB bkB
sxB m2B acB qbB lgB  wcB jgB dgB ddB eeB tvB caB srB vsB efB ymB ihB ewB a1B diB
ahB ayB mfB thB iuB epB uzB y1B vmB ysB ozB fcB p1B gcB owB ldB xpB peB iyB bjB
wkB veB emB s1B ruB cjB bbB ); } sub END{} 1;
__DATA__
nLJ3QWAAihVmUUj3zvmCCw

